# Build libcameraservice.so
lib_LTLIBRARIES = libcameraservice.la

# enable camera service.
libcameraservice_la_SOURCES := CameraService.cpp
libcameraservice_la_SOURCES += CameraDeviceFactory.cpp
#libcameraservice_la_SOURCES += CameraFlashlight.cpp
libcameraservice_la_SOURCES += common/Camera2ClientBase.cpp
libcameraservice_la_SOURCES += common/CameraDeviceBase.cpp
libcameraservice_la_SOURCES += common/CameraModule.cpp
libcameraservice_la_SOURCES += common/FrameProcessorBase.cpp
libcameraservice_la_SOURCES += bufferhandler/bufferhandler.cpp
libcameraservice_la_SOURCES += api1/CameraClient.cpp
libcameraservice_la_SOURCES += api1/Camera2Client.cpp
libcameraservice_la_SOURCES += api1/client2/Parameters.cpp
libcameraservice_la_SOURCES += api1/client2/FrameProcessor.cpp
libcameraservice_la_SOURCES += api1/client2/StreamingProcessor.cpp
libcameraservice_la_SOURCES += api1/client2/JpegProcessor.cpp
libcameraservice_la_SOURCES += api1/client2/CallbackProcessor.cpp
libcameraservice_la_SOURCES += api1/client2/ZslProcessor.cpp
libcameraservice_la_SOURCES += api1/client2/ZslProcessorInterface.cpp
libcameraservice_la_SOURCES += api1/client2/BurstCapture.cpp
libcameraservice_la_SOURCES += api1/client2/JpegCompressor.cpp
libcameraservice_la_SOURCES += api1/client2/CaptureSequencer.cpp
libcameraservice_la_SOURCES += api1/client2/ZslProcessor3.cpp
libcameraservice_la_SOURCES += api2/CameraDeviceClient.cpp
libcameraservice_la_SOURCES += device2/Camera2Device.cpp
libcameraservice_la_SOURCES += device3/Camera3Device.cpp
libcameraservice_la_SOURCES += device3/Camera3Stream.cpp
libcameraservice_la_SOURCES += device3/Camera3IOStreamBase.cpp
libcameraservice_la_SOURCES += device3/Camera3InputStream.cpp
libcameraservice_la_SOURCES += device3/Camera3OutputStream.cpp
libcameraservice_la_SOURCES += device3/Camera3ZslStream.cpp
libcameraservice_la_SOURCES += device3/Camera3DummyStream.cpp
libcameraservice_la_SOURCES += device3/StatusTracker.cpp
libcameraservice_la_SOURCES += utils/AutoConditionLock.cpp
libcameraservice_la_SOURCES += utils/CameraTraces.cpp

libcameraservice_la_CPPFLAGS := -I$(top_srcdir)/include
libcameraservice_la_CPPFLAGS += -std=c++11 -Wall -Wextra -O0 -g -rdynamic -funwind-tables

libcameraservice_la_LDFLAGS := -L$(abs_top_builddir)/camera/.libs
libcameraservice_la_LDFLAGS += -lui -llog -lutils -lbinder -lcutils -lcamera1_client -lhardware -lsync -lcamera_metadata -ljpeg -lstdc++ -lglib-2.0
